Index: trunk/examples/extended/exoticphysics/monopole/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/DetectorConstruction.hh	(revision 812)
+++ trunk/examples/extended/exoticphysics/monopole/include/DetectorConstruction.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: DetectorConstruction.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: DetectorConstruction.hh,v 1.2 2009/07/15 10:19:47 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -46,51 +46,46 @@
 class DetectorConstruction : public G4VUserDetectorConstruction
 {
-  public:
+public:
   
-    DetectorConstruction();
-   ~DetectorConstruction();
+  DetectorConstruction();
+  ~DetectorConstruction();
 
-  public:
-       
-     void SetSizeX    (G4double);
-     void SetSizeYZ   (G4double);              
-     void SetMaterial (G4String);            
-     void SetMagField (G4double);
+  void SetSizeX    (G4double);
+  void SetSizeYZ   (G4double);              
+  void SetMaterial (G4String);            
+  void SetMagField (G4double);
      
-     void SetMaxStepSize   (G4double);
+  void SetMaxStepSize   (G4double);
      
-     G4VPhysicalVolume* Construct();
-     void               UpdateGeometry();
+  G4VPhysicalVolume* Construct();
+  void               UpdateGeometry();
      
-  public:  
-                    
-     G4double     GetWorldSizeX()    {return worldSizeX;};
-     G4double     GetWorldSizeYZ()   {return worldSizeYZ;};
-     G4Material*  GetWorldMaterial() {return worldMaterial;};     
-     G4double     GetAbsorSizeX()    {return absorSizeX;};
-     G4double     GetAbsorSizeYZ()   {return absorSizeYZ;};
-     G4double     GetMaxStepSize()   {return maxStepSize;};
-     G4Material*  GetAbsorMaterial() {return absorMaterial;};
-     
-     void         PrintParameters();
+  G4double     GetWorldSizeX()    {return worldSizeX;};
+  G4double     GetWorldSizeYZ()   {return worldSizeYZ;};
+  G4Material*  GetWorldMaterial() {return worldMaterial;};     
+  G4double     GetAbsorSizeX()    {return absorSizeX;};
+  G4double     GetAbsorSizeYZ()   {return absorSizeYZ;};
+  G4double     GetMaxStepSize()   {return maxStepSize;};
+  G4Material*  GetAbsorMaterial() {return absorMaterial;};
+  
+  void         PrintParameters();
                        
-  private:
+private:
+
+  void               DefineMaterials();
+  G4VPhysicalVolume* ConstructVolumes();     
   
-     G4double            worldSizeX;
-     G4double            worldSizeYZ;
-     G4Material*         worldMaterial;           
-     G4double            absorSizeX;
-     G4double            absorSizeYZ;
-		 G4double						 maxStepSize;
-     G4Material*         absorMaterial;
-     G4UniformMagField*  magField;
-     G4LogicalVolume*    lAbsor;
+  G4double            worldSizeX;
+  G4double            worldSizeYZ;
+  G4Material*         worldMaterial;           
+  G4double            absorSizeX;
+  G4double            absorSizeYZ;
+  G4double	      maxStepSize;
+  G4Material*         absorMaterial;
+  G4UniformMagField*  magField;
+  G4LogicalVolume*    lAbsor;
                
-     DetectorMessenger* detectorMessenger;
+  DetectorMessenger* detectorMessenger;
 
-  private:
-    
-     void               DefineMaterials();
-     G4VPhysicalVolume* ConstructVolumes();     
 };
 
Index: trunk/examples/extended/exoticphysics/monopole/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/DetectorMessenger.hh	(revision 812)
+++ trunk/examples/extended/exoticphysics/monopole/include/DetectorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/include/EventAction.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/EventAction.hh	(revision 812)
+++ trunk/examples/extended/exoticphysics/monopole/include/EventAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/EventActionMessenger.hh	(revision 812)
+++ trunk/examples/extended/exoticphysics/monopole/include/EventActionMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/include/G4Monopole.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/G4Monopole.hh	(revision 812)
+++ trunk/examples/extended/exoticphysics/monopole/include/G4Monopole.hh	(revision 1230)
@@ -53,4 +53,5 @@
 {
 private:
+
   static G4Monopole*  theMonopole;
 
@@ -66,7 +67,7 @@
        G4DecayTable        *decaytable );
 
+  virtual ~G4Monopole();
+
 public: 
-
-  virtual ~G4Monopole();
   
   static G4Monopole* MonopoleDefinition(G4double mass_ = 100.*GeV, 
Index: trunk/examples/extended/exoticphysics/monopole/include/G4MonopolePhysics.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/G4MonopolePhysics.hh	(revision 812)
+++ trunk/examples/extended/exoticphysics/monopole/include/G4MonopolePhysics.hh	(revision 1230)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4MonopolePhysics.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4MonopolePhysics.hh,v 1.2 2009/07/15 10:19:47 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -39,9 +39,12 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
+class G4MonopolePhysicsMessenger;
+
 class G4MonopolePhysics : public G4VPhysicsConstructor
 {
 public:
-  G4MonopolePhysics(const G4String& name = "EM_monopole");
-  virtual ~G4MonopolePhysics();
+
+  G4MonopolePhysics(const G4String& nam = "Monopole Physics");
+  ~G4MonopolePhysics();
 
   // This method is dummy for physics
@@ -53,9 +56,19 @@
   virtual void ConstructProcess();
 
+  void SetMagneticCharge(G4int);
+  void SetElectricCharge(G4int);
+  void SetMonopoleMass(G4double);
+
 private:
 
   // hide assignment operator
-  G4MonopolePhysics & operator=(const G4MonopolePhysics &right);
-  G4MonopolePhysics(const G4MonopolePhysics&);
+  //  G4MonopolePhysics & operator=(const G4MonopolePhysics &right);
+  // G4MonopolePhysics(const G4MonopolePhysics&);
+
+  G4int    magCharge;
+  G4int    elCharge;
+  G4double monopoleMass;
+
+  G4MonopolePhysicsMessenger*  theMessenger;
 
 };
Index: trunk/examples/extended/exoticphysics/monopole/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/PrimaryGeneratorAction.hh	(revision 812)
+++ trunk/examples/extended/exoticphysics/monopole/include/PrimaryGeneratorAction.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PrimaryGeneratorAction.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: PrimaryGeneratorAction.hh,v 1.2 2009/07/15 10:19:47 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -45,23 +45,24 @@
 class PrimaryGeneratorAction : public G4VUserPrimaryGeneratorAction
 {
-  public:
-    PrimaryGeneratorAction(DetectorConstruction*);    
-   ~PrimaryGeneratorAction();
+public:
 
-  public:  
-    void SetRndmBeam(G4double val)  {rndmBeam = val;}   
-    void GeneratePrimaries(G4Event*);
+  PrimaryGeneratorAction(DetectorConstruction*);    
+  ~PrimaryGeneratorAction();
+
+  void SetRndmBeam(G4double val)  {rndmBeam = val;}   
+  void GeneratePrimaries(G4Event*);
     
-    void   ResetEbeamCumul() {EbeamCumul = 0.;}
-    G4double GetEbeamCumul() {return EbeamCumul;}
+  void   ResetEbeamCumul() {EbeamCumul = 0.;}
+  G4double GetEbeamCumul() {return EbeamCumul;}
      
-    G4ParticleGun* GetParticleGun() {return particleGun;}
+  G4ParticleGun* GetParticleGun() {return particleGun;}
     
-  private:
-    G4ParticleGun*             particleGun;
-    DetectorConstruction*      detector;
-    G4double                   rndmBeam;
-    G4double                   EbeamCumul;       
-    PrimaryGeneratorMessenger* gunMessenger;     
+private:
+
+  G4ParticleGun*             particleGun;
+  DetectorConstruction*      detector;
+  G4double                   rndmBeam;
+  G4double                   EbeamCumul;       
+  PrimaryGeneratorMessenger* gunMessenger;     
 };
 
Index: trunk/examples/extended/exoticphysics/monopole/include/PrimaryGeneratorMessenger.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/PrimaryGeneratorMessenger.hh	(revision 812)
+++ trunk/examples/extended/exoticphysics/monopole/include/PrimaryGeneratorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/include/RunAction.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/RunAction.hh	(revision 812)
+++ trunk/examples/extended/exoticphysics/monopole/include/RunAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/include/RunActionMessenger.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/RunActionMessenger.hh	(revision 812)
+++ trunk/examples/extended/exoticphysics/monopole/include/RunActionMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: RunActionMessenger.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/include/SteppingAction.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/SteppingAction.hh	(revision 812)
+++ trunk/examples/extended/exoticphysics/monopole/include/SteppingAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/include/TrackingAction.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/TrackingAction.hh	(revision 812)
+++ trunk/examples/extended/exoticphysics/monopole/include/TrackingAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: TrackingAction.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
